1. Devices
api-security
  • Security-Api
    • Roles
      • Index
      • Create
      • Show
      • Update
      • Delete
    • Devices
      • Index
        GET
      • Show
        GET
      • Create
        POST
      • Update
        PUT
      • Delete
        DELETE
    • Security Event
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Alerts
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Incidents
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Incident Comments
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Auth
      • Login
      • Logout
      • Me
    • Dashboard
      • Index
    • Notifications
      • Index
      • Unread
      • Mark As Read
  1. Devices

Create

Developing
POST
http://127.0.0.1:8000/api/devices
Creates a new device in the system.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success Create
application/json
Bodyapplication/json

🟠422Error Create
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://127.0.0.1:8000/api/devices' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {token}' \
--header 'Content-Type: application/json' \
--data '{
    "name": "MacBook Pro",
    "ip_address": "192.122.23.1",
    "operating_system": "Windows Home",
    "status": "maintenance"
}'
Response Response Example
200 - Éxito
{
    "message": "Device created successfully",
    "data": {
        "id": 4,
        "name": "HP 240 G7",
        "IP address": "192.120.17.1",
        "operating system": "Microsoft Windows 10 Pro",
        "status": "maintenance"
    }
}
Modified at 2026-06-19 14:29:50
Previous
Show
Next
Update
Built with